MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026383Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-07-01 09:382016-04-20 15:48
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026383: Incorrect tolerance computing in IntTools_FaceFace::ComputeTolerance()
Descriptionline 865:

      const TopoDS_Face& aF = !i ? myFace1 : myFace2;
      aD = FindMaxDistance(aC3D, aFirst, aLast, aF, myContext);
      if (aD > aDMax) {
        aDMax = aD;
      }

But it is not necessary in case of computing intersection line. All information about quality of intersection curve stored in "same parameter" tolerance computation (line 853-864).

Proposed fix:
Delete this block and dependent code.


Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0042623)
git (administrator)
2015-07-01 09:46

Branch CR26383 has been created by aml.

SHA-1: d9141273b34e375f3109aba9cebbb5ba28ef1752


Detailed log of new commits:

Author: aml
Date: Wed Jul 1 09:44:28 2015 +0300

    0026383: Incorrect tolerance computing in IntTools_FaceFace::ComputeTolerance()
    
    Projection of points 3d curve on faces deleted from ComputeTolerance().
(0042624)
aml (developer)
2015-07-01 09:48

Dear msv,

Please check current state of branch CR26383.
(0042625)
msv (developer)
2015-07-01 09:56

Reviewed.
(0042661)
apv (tester)
2015-07-02 12:28

Dear BugMaster,

Branch CR26383 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: d9141273b34e375f3109aba9cebbb5ba28ef1752

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 98039666 / 98056296 [-0.02%]
Total CPU difference: 18494.120000000108 / 18222.6600000001 [+1.49%]

Testing on Windows:
Total MEMORY difference: 56523648 / 56577171 [-0.09%]
Total CPU difference: 17183.52575009888 / 17365.17331449884 [-1.05%]
(0044209)
git (administrator)
2015-08-14 10:57

Branch CR26383 has been deleted by inv.

SHA-1: d9141273b34e375f3109aba9cebbb5ba28ef1752

- Related Changesets
occt: master 260f924f
Timestamp: 2015-07-01 06:44:28
Author: aml
Committer: bugmaster
Details ] Diff ]
0026383: Incorrect tolerance computing in IntTools_FaceFace::ComputeTolerance()

Projection of points 3d curve on faces deleted from ComputeTolerance().
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-01 09:38 aml New Issue
2015-07-01 09:38 aml Assigned To => aml
2015-07-01 09:42 aml Relationship added related to 0021564
2015-07-01 09:46 git Note Added: 0042623
2015-07-01 09:48 aml Note Added: 0042624
2015-07-01 09:48 aml Assigned To aml => msv
2015-07-01 09:48 aml Status new => resolved
2015-07-01 09:48 aml Steps to Reproduce Updated View Revisions
2015-07-01 09:56 msv Note Added: 0042625
2015-07-01 09:56 msv Assigned To msv => bugmaster
2015-07-01 09:56 msv Status resolved => reviewed
2015-07-01 12:23 apv Assigned To bugmaster => apv
2015-07-02 12:26 apv Test case number => Not needed
2015-07-02 12:26 apv Description Updated View Revisions
2015-07-02 12:28 apv Note Added: 0042661
2015-07-02 12:28 apv Assigned To apv => bugmaster
2015-07-02 12:28 apv Status reviewed => tested
2015-07-03 15:27 bugmaster Changeset attached => occt master 260f924f
2015-07-03 15:27 bugmaster Status tested => verified
2015-07-03 15:27 bugmaster Resolution open => fixed
2015-08-14 10:57 git Note Added: 0044209
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker